org.apache.solr.common.cloud

## Class ReplicaPosition

- java.lang.Object
- - org.apache.solr.common.cloud.ReplicaPosition

All Implemented Interfaces:
  Comparable<ReplicaPosition>

    public class ReplicaPosition
    extends Object
    implements Comparable<ReplicaPosition>

### Field Summary

Fields
`int` `index`
`String` `node`
`String` `shard`
`Replica.Type` `type`

### Constructor Summary

Constructors
Constructor and Description
`ReplicaPosition(String shard, int replicaIdx, Replica.Type type)`
`ReplicaPosition(String shard, int replicaIdx, Replica.Type type, String node)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo(ReplicaPosition that)`
`ReplicaPosition` `setNode(String node)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### shard

    public final String shard

#### index

    public final int index

#### type

    public final Replica.Type type

#### node

    public String node

### Constructor Detail

#### ReplicaPosition

    public ReplicaPosition(String shard,
                           int replicaIdx,
                           Replica.Type type)

#### ReplicaPosition

    public ReplicaPosition(String shard,
                           int replicaIdx,
                           Replica.Type type,
                           String node)

### Method Detail

#### compareTo

    public int compareTo(ReplicaPosition that)

Specified by:
  `compareTo` in interface `Comparable<ReplicaPosition>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### setNode

    public ReplicaPosition setNode(String node)